Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class UniversalString.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString.Template
            |
            +--org.mozilla.jss.asn1.UniversalString.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  UniversalString

public static class UniversalString.Template
extends CharacterString.Template
implements ASN1Template

Constructor Summary
`UniversalString.Template()`

Method Summary
`protected CharacterString` | `generateInstance(char[] chars)` Must be overridden to create an instance of the subclass given a char array.
`protected CharConverter` | `getCharConverter()` Must be overridden to return the correct character converter for the subclass.
`protected Tag` | `getTag()` Must be overridden to return the tag for the subclass.
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.
`protected java.lang.String` | `typeName()` Must be overridden to provide the name of the subclass, for including into error messages.

Methods inherited from class org.mozilla.jss.asn1.CharacterString.Template
`decode, decode`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Template
`decode, decode`

Constructor Detail

### UniversalString.Template

    public UniversalString.Template()

Method Detail

### getTag

    protected Tag getTag()

  Description copied from class: `CharacterString.Template`
  Must be overridden to return the tag for the subclass.
  Overrides:
    `getTag` in class `CharacterString.Template`

### tagMatch

    public boolean tagMatch(Tag tag)

  Description copied from interface: `ASN1Template`
  Determines whether the given tag will satisfy this template.
  Specified by:
    `tagMatch` in interface `ASN1Template`
  Overrides:
    `tagMatch` in class `CharacterString.Template`

### getCharConverter

    protected CharConverter getCharConverter()

  Description copied from class: `CharacterString.Template`
  Must be overridden to return the correct character converter for the subclass.
  Overrides:
    `getCharConverter` in class `CharacterString.Template`

### generateInstance

    protected CharacterString generateInstance(char[] chars)
                                        throws java.io.CharConversionException

  Description copied from class: `CharacterString.Template`
  Must be overridden to create an instance of the subclass given a char array.
  Overrides:
    `generateInstance` in class `CharacterString.Template`

### typeName

    protected java.lang.String typeName()

  Description copied from class: `CharacterString.Template`
  Must be overridden to provide the name of the subclass, for including into error messages.
  Overrides:
    `typeName` in class `CharacterString.Template`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD